API Key Metrics
This page provides routes for retrieving API key metrics.
GET/api-key-metricsGet Api key metrics of the userGET/api-key-metrics/:apiKeyIdGet API key metrics by ID
Get User API Keys Metrics
This endpoint retrieves metrics for all API keys owned by the authenticated user.
GET https://nft-platform.azurewebsites.net/api/v1/api-keys/metrics/api-key-metrics
INFO
Authentication: Requires token for authentication. Permissions: Requires api_key_management and read permissions.
json
{
"readRequestCount": 3,
"writeRequestCount": 2
}:::
HTTP Response Codes
| Status Code | Text | Description |
|---|---|---|
| 200 | OK | With an array of apikey objects and |
| 400 | Bad Request | The request was invalid or cannot be processed. |
| 401 | Unauthorized | Authentication is required or has failed. |
| 403 | Forbidden | The authenticated user is not authorized to perform the requested action. |
| 404 | Not Found | The requested resource could not be found. |
| 500 | Internal Server Error | An unexpected error occurred. |
Get API Key Metrics By ID
This endpoint retrieves metrics for a specific API key.
GET https://nft-platform.azurewebsites.net/api/v1/api-keys/metrics/api-key-metrics/{apiKeyId}
INFO
Authentication: Requires token for authentication. Permissions: Requires api_key_management and read permissions.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| apiKeyId | string | Yes | The ID of the api key to get |
json
{
"readRequestCount": 3,
"writeRequestCount": 2
}:::
HTTP Response Codes
| Status Code | Text | Description |
|---|---|---|
| 200 | OK | With an array of apikey objects and |
| 400 | Bad Request | The request was invalid or cannot be processed. |
| 401 | Unauthorized | Authentication is required or has failed. |
| 403 | Forbidden | The authenticated user is not authorized to perform the requested action. |
| 404 | Not Found | The requested resource could not be found. |
| 500 | Internal Server Error | An unexpected error occurred. |